{ lib, ... }:
{
  options.my = {

    cachyosKernel.enable = lib.mkEnableOption "CachyOS Kernel";

    nvidia = {
      enable = lib.mkEnableOption "Has NVIDIA GPU";
    };

    openlinkhub.enable = lib.mkEnableOption "Has Corsair Link Hardware";

    rgb.enable = lib.mkEnableOption "Has RGB";

    desktop = {
      enable = lib.mkEnableOption "Is a Desktop System";
      
      sddm = {
        enable = lib.mkEnableOption "SDDM";
        autoLogin = {
          enable = lib.mkEnableOption "SDDM AutoLogin";
          session = lib.mkOption {
            type = lib.types.str;
            default = "hyprland-uwsm.desktop";
            example = "hyprland-uwsm.desktop";
            description = "Name of the autologin session desktop file";
          };
        };
      };

      gaming.enable = lib.mkEnableOption "Gaming";

      hyprland = {
        enable = lib.mkEnableOption "Hyprland";
      };

      kdePlasma = {
        enable = lib.mkEnableOption "KDE Plasma";
      };

      flatpak = {
        enable = lib.mkEnableOption "Flatpak Support";
      };

      spicetify = {
        enable = lib.mkEnableOption "Install Spotify/Spicetify";
      };

      nixcord = {
        enable = lib.mkEnableOption "Install Nixcord/Equibop";
      };
    };
  };
}
